Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | List of all members
ValueTest Struct Reference
Inheritance diagram for ValueTest:

## Classes
struct | IsCheck

## Public Member Functions
| ValueTest ()
void | checkConstMemberCount (const Json::Value &value, unsigned int expectedCount)
void | checkMemberCount (Json::Value &value, unsigned int expectedCount)
void | checkIs (const Json::Value &value, const IsCheck &check)
Public Member Functions inherited from TestCase
| TestCase ()
virtual | ~TestCase ()
void | run (TestResult &result)
virtual const char * | testName () const =0

## Public Attributes
Json::Value | null_
Json::Value | emptyArray_
Json::Value | emptyObject_
Json::Value | integer_
Json::Value | unsignedInteger_
Json::Value | smallUnsignedInteger_
Json::Value | real_
Json::Value | array1_
Json::Value | object1_
Json::Value | emptyString_
Json::Value | string1_
Json::Value | string_
Json::Value | true_
Json::Value | false_

## Additional Inherited Members
Protected Attributes inherited from TestCase
TestResult * | result_

## Constructor & Destructor Documentation

ValueTest | ( |  | ) |
| inline

## Member Function Documentation

void checkConstMemberCount | ( | const Json::Value & | value,
|  | unsigned int | expectedCount
| ) |  |

void checkIs | ( | const Json::Value & | value,
|  | const IsCheck & | check
| ) |  |

void checkMemberCount | ( | Json::Value & | value,
|  | unsigned int | expectedCount
| ) |  |

## Member Data Documentation

Json::Value array1_

Json::Value emptyArray_

Json::Value emptyObject_

Json::Value emptyString_

Json::Value false_

Json::Value integer_

Json::Value null_

Json::Value object1_

Json::Value real_

Json::Value smallUnsignedInteger_

Json::Value string1_

Json::Value string_

Json::Value true_

Json::Value unsignedInteger_

The documentation for this struct was generated from the following file:

- persistence/rapidjson/thirdparty/jsoncpp/src/test_lib_json/main.cpp